var currTree      
var currLink=-1   
var activeLink=-1
var imagesDir = 'navigator/' 

var urovne = new Array; 
function parseId(id_of_node, into_array)
{
 var uroven = 1
 for(var pozice=0; id_of_node.charAt(pozice) != '_'; pozice++);
 pozice++ 
 while(pozice < id_of_node.length) 
 {
  into_array[uroven] = ""
  while((id_of_node.charAt(pozice)!='_') && (pozice < id_of_node.length))
  {
   into_array[uroven] += id_of_node.charAt(pozice); 
   pozice++
  }
  if (id_of_node.charAt(pozice) == '_') 
   {
    pozice++
    uroven++
   }
   else into_array[0] = uroven
  var poradi_v_urovni = parseInt(into_array[uroven])
  into_array[uroven] = poradi_v_urovni
 } 
}

function getNode(id_of_node)
{
 var pom_node = currTree;
 var pom_urovne = new Array;
 parseId(id_of_node, pom_urovne)
 for(var i=0; i<pom_urovne[0]; i++)
 {
  pom_node = (pom_urovne[i+1]-1<pom_node.child.length)? pom_node.child[pom_urovne[i+1]-1] : null
  if (pom_node == null) break; 
 }
 return pom_node
}

function findLink(id)
{
 parseId("_"+id, urovne)
 var curr_node = getNode("_"+id)
 if (curr_node == null)
 {
  alert("Chyba - takovy list ve strome neni .. :-(")
  return;
 }
 
 var pom_node = currTree
 for(var i=1; i<urovne[0]; i++)
 {
  pom_node = pom_node.child[urovne[i]-1]
  if (document.all.item(pom_node.id+"_subTree").currentStyle.display=="none")
   expand(pom_node.id);
 }
 top.frames[curr_node.target].document.location = curr_node.href
 setActiveLink(curr_node.id+"_link")
}

function setActiveLink(Id)
{
 activeLink = Id;
 highLightActiveLink();
}

function highLightActiveLink()
{
 if (currLink !=-1) document.all[currLink].className = 'navigator'
 document.all[activeLink].className = 'aktivniNavigator'
 currLink = activeLink;
}

function expand(id_of_node)
{
 var p_node = getNode(id_of_node)
 var subTreeId = id_of_node+"_subTree" 
 var imgId = id_of_node+"_img"
 if (document.all.item(subTreeId).currentStyle.display=="none")
 {
  document.all[subTreeId].style.display = ""
  document.images[imgId].src = imagesDir+p_node.imgType+'/folderopen'+p_node.type+'.gif'
 }
 else
 {
  document.all[subTreeId].style.display = "none"
  document.images[imgId].src = imagesDir+p_node.imgType+'/folderclosed'+p_node.type+'.gif'
 } 
}

function Node(Id,DisplayName,Href,ImgType,Type,Comment,Target) //,Prev)
{ 
 pomstr = ""
 if (Node.arguments.length>1)
 for(i=0; i<DisplayName.length; i++)
 {
  if (DisplayName.charAt(i)!=' ') pomstr+=DisplayName.charAt(i)
   else pomstr+="&nbsp;"
 }
 
// this.prev = (Node.arguments.length>6)? Prev : 0; // nastaveni "otce"
 this.displayName = pomstr;
 this.href = Href;
 this.imgType = ImgType;   				  // adresar s ikonami
 this.type = Type; 						  // position:  alonetop | alone | first | middle | last
 this.comment = Comment; 
 this.addChild = addNodeChild;
 this.expandable = false;
 this.child = new Array;
 this.draw = drawNode;
 this.drawTree = drawNodeTree;
 this.id = Id;
 this.target = Target
}

function addNodeChild(DisplayName,Href,imgType,Comment,Target)
{
 if (addNodeChild.arguments.length<5) Target = '_top'
 if (!this.expandable) 
 {
  var pom_type = (this.displayName == "")? 'alonetop' : 'alone' 
  this.child[0] = new Node(this.id+'_1',DisplayName,Href,imgType,pom_type,Comment,Target)
  this.expandable = true;
 } 
 else 
 {
  if (this.child.length > 1) 
   this.child[this.child.length-1].type = 'middle' 
   else this.child[0].type = (this.displayName == "")? 'top' : 'first'
  this.child[this.child.length] = new Node(this.id+'_'+(this.child.length+1),DisplayName,Href,imgType,'last',Comment,Target);
 } 
}

function drawNode(Imgs)
{
 var HTMLString = "<table cellspacing='0' cellpadding='0'><tr style='white-space:nowrap; id='"+this.id+"'>"
 imgStr = "<td>"
 if (drawNode.arguments.length > 0)  
 {
  for (img=0; img < Imgs.length; img++)
  {
   if (Imgs.charAt(img)==1)
    imgStr += "<img align='absmiddle' src='"+imagesDir+this.imgType+"../../line.gif' width=18 height=16 border=0 alt='' hspace=0 vspace=0>" 
	else imgStr += "<img align='absmiddle' src='"+imagesDir+this.imgType+"../../blank.gif' width=18 height=16 border=0 alt='' hspace=0 vspace=0>" 
  } 
 } 
 else Imgs = ""
 
 if (this.child.length>0)       
 {
  HTMLString+= imgStr+"<a class='navigator' href='javascript:expand("+'"'+this.id+ '"'+")'><img id='"+this.id+"_img' align='absmiddle' src='"+imagesDir+this.imgType+"/folderclosed"+this.type+".gif' "+
  "width=18 height=16 border=0 alt='' hspace=0 vspace=0></a>"
 } 
 else 							
 { 
  imgStr += "<img align='absmiddle' src='"+imagesDir+this.imgType+"/join"+this.type+".gif' width=18 height=16 border=0 alt='' hspace=0 vspace=0></td>"
  HTMLString+=imgStr+"</td>"
 }

 if (this.href!="")
  HTMLString += "<td nowrap><a class='navigator' href='"+this.href+"' id='"+this.id+'_link'+"' onclick="+( (this.target != '')? "'setActiveLink("+'"'+this.id+'_link'+'"'+")'" : "" )+ " target='"+this.target+"' title="+((this.comment=='')? this.displayName : this.comment) + ">"+this.displayName+"</a></td></tr></table>\n"
  else HTMLString += "<td nowrap>"+this.displayName+"</td></tr></table>\n"

 if (this.child.length>0) 
 {
  HTMLString+="<div style='display:none' id='"+this.id+"_subTree"+"'"+">";
  Imgs += ((this.type != "last") && (this.type != "alonetop") && (this.type != "alone")) ? '1' : '0'
  for (var j=0; j<this.child.length; j++)
  {
   HTMLString += this.child[j].draw(Imgs)
  }	
  HTMLString += "</div>";
 }
 return HTMLString;
}

function drawNodeTree()
{
 var HTMLString = ''

 for (var k=0; k<this.child.length; k++)
  HTMLString += this.child[k].draw()

 return HTMLString;
}
